## org.eclipse.datatools.modelbase.sql.expressions.impl
Class SQLExpressionsFactoryImpl

    java.lang.Object
      EFactoryImpl
          org.eclipse.datatools.modelbase.sql.expressions.impl.SQLExpressionsFactoryImpl

All Implemented Interfaces:
  SQLExpressionsFactory

    public class SQLExpressionsFactoryImpl

extends EFactoryImpl
implements SQLExpressionsFactory

An implementation of the model Factory.

Field Summary

Fields inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SQLExpressionsFactory
`eINSTANCE`

Constructor Summary
`SQLExpressionsFactoryImpl()` Creates an instance of the factory.

Method Summary
`EObject` `create(EClass eClass)`
`QueryExpressionDefault` `createQueryExpressionDefault()`
`SearchConditionDefault` `createSearchConditionDefault()`
`ValueExpressionDefault` `createValueExpressionDefault()`
`static SQLExpressionsPackage` `getPackage()` Deprecated.
`SQLExpressionsPackage` `getSQLExpressionsPackage()`
`static SQLExpressionsFactory` `init()` Creates the default factory implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLExpressionsFactoryImpl

    public SQLExpressionsFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static SQLExpressionsFactory init()

  Creates the default factory implementation.

### create

    public EObject create(EClass eClass)

### createQueryExpressionDefault

    public QueryExpressionDefault createQueryExpressionDefault()

  Specified by:
    `createQueryExpressionDefault` in interface `SQLExpressionsFactory`
  Returns:
    a new object of class 'Query Expression Default'.

### createSearchConditionDefault

    public SearchConditionDefault createSearchConditionDefault()

  Specified by:
    `createSearchConditionDefault` in interface `SQLExpressionsFactory`
  Returns:
    a new object of class 'Search Condition Default'.

### createValueExpressionDefault

    public ValueExpressionDefault createValueExpressionDefault()

  Specified by:
    `createValueExpressionDefault` in interface `SQLExpressionsFactory`
  Returns:
    a new object of class 'Value Expression Default'.

### getSQLExpressionsPackage

    public SQLExpressionsPackage getSQLExpressionsPackage()

  Specified by:
    `getSQLExpressionsPackage` in interface `SQLExpressionsFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static SQLExpressionsPackage getPackage()

  Deprecated.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.